Skip to main content
`Ctrl`+`K`

# SNESApplyNPC

Calls `SNESSolve()` on the preconditioner for the `SNES`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESApplyNPC(SNES snes, Vec x, Vec f, Vec y)

Collective

## Input Parameters

- snes - the `SNES` context

- x - input vector

- f - optional; the function evaluation on `x`

## Output Parameter

- y - function vector, as set by `SNESSetFunction()`

## Note

`SNESComputeFunction()` should be called on `x` before `SNESApplyNPC()` is called, as it is with `SNESComuteJacobian()`.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetNPC()`, `SNESSetNPC()`, `SNESComputeFunction()`

## Level

developer

## Location

src/snes/interface/snespc.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages